%define module_name Geo-Coder-Free
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/csv2sqlite.pm) perl(DBD/CSV.pm) perl(DBD/SQLite.pm) perl(DBD/SQLite/Constants.pm) perl(DBI.pm) perl(Error/Simple.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/pfopen.pm) perl(Gzip/Faster.pm) perl(Locale/Country.pm) perl(Module/Info.pm) perl(Test/Carp.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Number/Delta.pm) perl(Text/CSV/Slurp.pm) perl(Text/xSV/Slurp.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Provides a geocoding functionality using free databases of towns
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Geo::Coder::Free provides an interface to free databases.

Refer to the source URL for licencing information for these files
cities.csv is from https://www.maxmind.com/en/free-world-cities-database
admin1.db is from http://download.geonames.org/export/dump/admin1CodesASCII.txt
admin2.db is from http://download.geonames.org/export/dump/admin2Codes.txt

See also http://download.geonames.org/export/dump/allCountries.zip

To significantly speed this up, gunzip cities.csv and run it through the db2sql script to create an SQLite file.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/G*

%changelog
* Fri Oct 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

